#ifndef Lieferant_HEADER
#define Lieferant_HEADER

#include <string>

class Lieferant {
public:
   Lieferant(std::string n) : name(n) {};
   std::string getName() const { return name; }
   Lieferant(const Lieferant&) = default;
   Lieferant& operator=(const Lieferant&) = default;
private:
   std::string name;
};

// muss nicht friend sein, da er nur public Methoden verwendet
bool operator==(const Lieferant& l1, const Lieferant& l2);

#endif
